MKSWAP(8)

BEZEICHNUNG
mkswap - einen Linux-Auslagerungsspeicher einrichten

ÜBERSICHT
mkswap [Optionen] Gerät [Größe]

BESCHREIBUNG
mkswap richtet einen Linux-Auslagerungsspeicher auf einem Gerät oder in einer Datei ein. Das Argument Gerät ist üblicherweise eine Festplattenpartition (etwa /dev/sdb7), kann aber auch eine Datei sein. Der Linux-Kernel achtet nicht auf Partitionskennungen, aber viele Installationsskripte setzen voraus, dass Partitionen des hexadezimalen Typs 82 (LINUX_SWAP) Auslagerungspartitionen sind. (Warnung: Solaris verwendet diesen Typ ebenfalls. Seien Sie vorsichtig, um Ihre Solaris-Partitionen nicht zu zerstören.) Der Parameter Größe ist entbehrlich, steht aber zwecks Abwärtskompatibilität zur Verfügung. Es handelt sich um die gewünschte Größe des Auslagerungsbereiches in 1024-Byte-Blöcken. mkswap verwendet die gesamte Partition oder Datei, falls die Größe nicht angegeben wird. Die Angabe ist jedoch keine gute Idee, denn ein Eingabefehler kann Ihre Festplatte zerstören. Nach dem Anlegen des Auslagerungsbereiches müssen Sie den Befehl swapon ausführen, um den Bereich nutzen zu können. Üblicherweise werden Auslagerungsbereiche auch in der Datei /etc/fstab aufgelistet, so dass sie beim Systemstart mittels des Befehls swapon -a innerhalb eines Skriptes in Betrieb genommen werden können.

WARNUNG
Der Auslagerungs-Header wirkt sich nicht auf den ersten Block aus. Ein Bootloader oder eine Laufwerksbezeichnung können sich dort befinden, aber diese Konstellation ist nicht empfehlenswert. Es ist besser, eine separate Partition für einen Linux-Auslagerungsbereich zu verwenden. mkswap verhält sich wie viele andere mkfs-Werkzeuge, es löscht den ersten Block der Partition, um vorher darauf befindliche Dateisysteme unsichtbar zu machen. Allerdings verweigert mkswap das Löschen des ersten Blocks auf einem Gerät mit einer Bezeichnung (SUN, BSD, …).

OPTIONEN

-c, --check
    überprüft das Gerät (falls es sich um ein blockorientiertes Gerät handelt) auf fehlerhafte Blöcke, bevor der Auslagerungsbereich angelegt wird. Falls fehlerhafte Blöcke gefunden werden, wird deren Anzahl ausgegeben.

-f, --force
    erzwingt die Ausführung, selbst wenn der Befehl unlogisch wäre. Dies erlaubt die Erstellung eines Auslagerungsbereiches, der größer als die Datei oder die Partition ist, auf der er sich befinden soll. Außerdem verweigert mkswap mit dieser Option das Löschen des ersten Blocks auf einem Gerät mit einer Partitionstabelle.

-L, --label Bezeichnung
    legt eine Bezeichnung für dieses Gerät fest, wodurch die Aktivierung mit swapon anhand dieser Bezeichnung möglich ist.

-p, --pagesize Größe
    gibt die zu verwendende Größe der Seite (in Bytes) an. Diese Option ist normalerweise nicht erforderlich, da mkswap die Größe vom Kernel erhält.

-U, --uuid UUID
    gibt die zu verwendende UUID an. Vorgabe ist die Erzeugung einer UUID.

-v, --swapversion 1
    gibt die Version von swap-space an. Diese Option ist gegenwärtig wirkungslos, da die alte Option -v 0 obsolet ist und nun nur noch -v 1 unterstützt wird. Der Kernel unterstützt das swap-space-Format Version 0 seit der Linux-Version 2.5.22 nicht mehr (Juni 2002). Die neue Version 1 wird seit 2.1.17 unterstützt (August 1998).

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

ANMERKUNGEN
Die maximal sinnvolle Größe eines Auslagerungsbereiches hängt von der Architektur und der Kernel-Version ab. Die maximale Anzahl der addressierbaren Seiten im Header eines Auslagerungsbereiches ist 4294967295 (vorzeichenlose 32-Bit-Ganzzahl). Der verbleibende Platz im Auslagerungsgerät wird ignoriert. Gegenwärtig erlaubt Linux 32 Auslagerungsbereiche. Die in Betrieb befindlichen Auslagerungsbereiche sind in der Datei /proc/swaps zu sehen. mkswap verweigert die Erstellung von Bereichen, die kleiner als 10 Seiten sind. Falls Sie die von Ihrem Rechner verwendete Seitengröße nicht kennen, könnten Sie sie mit dem Befehl »cat /proc/cpuinfo« ermitteln (oder auch nicht, der Inhalt dieser Datei ist von der Architektur und der Kernelversion abhängig). Um eine Auslagerungsdatei einzurichten, ist es notwendig, diese Datei zu erzeugen, bevor sie mit mkswap initialisiert wird, beispielsweise mit dem Befehl
    # dd if=/dev/zero of=swapfile bs=1MiB count=$((8*1024))
um eine 8 GiB-Auslagerungsdatei zu erstellen. Bitte lesen Sie die Hinweise in swapon(8) zu den Einschränkungen der Verwendung von Auslagerungsdateien (Löcher, Vorzuweisungen und Copy-on-Write-Probleme).

UMGEBUNGSVARIABLEN

LIBBLKID_DEBUG=all
    aktiviert die Debug-Ausgabe für libblkid.

SIEHE AUCH
fdisk(8), swapon(8)

VERFÜGBARKEIT
Der Befehl mkswap ist Teil des Pakets util-linux und kann von https://www.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.